For Developers

Get Schema

This model is part of an upcoming API update which is currently not available. Instead you can create schemas directly in the dashboard.

GET https://ed.link/api/v2/audit/schemas/:action
or
GET https://ed.link/api/v2/audit/schemas/:schema_id

If passing the string action, retrieves the most recent version of a Schema for that action. If passing a uuid matching a schema in your organization, returns that specific Schema. This allows viewing the contents of older Schemas by UUID.

Request Parameters

ParameterTypeDescription
actionstringThe action identifier whose Schema you want to retrieve, e.g. assignment.submit. Lowercased before lookup.
or
schema_idstringThe UUID of the specific Schema you want to retrieve.

Sample Request

axios.get('https://ed.link/api/v2/audit/schemas/assignment.submit', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$request": "00000000-0000-0000-0000-000000000000",
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-13T17:45:39.937Z",
        "version": "00000000-0000-0000-0000-000000000000",
        "validation_level": "strict",
        "action": {
            "id": "assignment.submit",
            "type": "create"
        },
        "data": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "$id": "https://example.com/product.schema.json",
            "title": "Product",
            "description": "A product from Acme's catalog",
            "type": "object",
            "properties": {
              "productId": {
                "description": "The unique identifier for a product",
                "type": "integer"
              },
              "productName": {
                "description": "Name of the product",
                "type": "string"
              },
              "price": {
                "description": "The price of the product",
                "type": "number",
                "exclusiveMinimum": 0
              }
            },
            "required": [ "productId", "productName", "price" ]
        }
    }
}